default:
  image: golang:1.20

workflow:
  rules:
    - if: '$CI_MERGE_REQUEST_IID'
    - if: '$CI_COMMIT_BRANCH && $CI_COMMIT_REF_PROTECTED == "true"'
    - if: '$CI_COMMIT_TAG'
    - if: '$CI_PIPELINE_SOURCE == "schedule"'

stages:
  - build

build-check:
  stage: build
  script:
    - CGO_ENABLED=0 go build -o openqa-worker cmd/openqa-worker/main.go
  artifacts:
    expire_in: "7 days"
    paths:
      - openqa-worker
